<?php
// customizer remove panels
function remove_customizer_settings( $wp_customize ){
	if ( !current_user_can( 'administrator' ) ) {
		$wp_customize->remove_panel('themes');
		$wp_customize->remove_section('static_front_page');
		$wp_customize->remove_section('custom_css');
		$wp_customize->remove_panel( 'woocommerce' );
	}
}
add_action('customize_register', 'remove_customizer_settings', 11);


// customizer register panels
function magazine_theme_customize_register( $wp_customize ) {

	// apariencia
	$wp_customize->add_panel( 'design_panel', array(
		'title'			=> __( 'Apariencia', 'ho1a' ),
		'priority'		=> 25,
		'capability'	=> 'edit_theme_options',
	));

	// apariencia > logotipo
	$wp_customize->add_section( 'logo_section' , array(
		'title'			=> __( 'Logotipo', 'ho1a' ),
		'priority'		=> 1,
		'panel'			=> 'design_panel',
		'capability'	=> 'edit_theme_options',
	));

	// apariencia > logotipo - logotipo
	$wp_customize->add_setting( 'logo_setting', array(
		'type'			=> 'theme_mod',
		'capability'	=> 'edit_theme_options',
	));
	$wp_customize->add_control(
		new WP_Customize_Upload_Control(
		$wp_customize, 'logo_setting',
		array(
			'label'		=> __( 'Logotipo', 'ho1a' ),
			'section'	=> 'logo_section',
			'settings'	=> 'logo_setting',
		) )
	);

	// apariencia > logotipo - ahcho
	$wp_customize->add_setting( 'logo_ancho_setting', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> '150',
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'logo_ancho_setting', array(
		'type'			=> 'text',
		'section'		=> 'logo_section',
		'label'			=> __( 'Ancho de Logo' ),
		'description'	=> __( 'Ancho de Logo en pixeles.' ),
	) );

	// apariencia > top bar
	$wp_customize->add_section( 'color_topbar_section' , array(
		'title'			=> __( 'Barra Superior', 'ho1a' ),
		'panel'			=> 'design_panel',
		'priority'		=> 1,
		'capability'	=> 'edit_theme_options',
	));

	// apariencia > top bar > bg
	$wp_customize->add_setting( 'color_topbar_bg_setting', array(
		'default'		=> '#fcfcfc'
	));
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
		$wp_customize, 'color_topbar_bg_setting',
		array(
			'label'      => __('Color Fondo', 'ho1a' ),
			'section'    => 'color_topbar_section',
			'settings'   => 'color_topbar_bg_setting',
		) )
	);

	// apariencia > top bar > link
	$wp_customize->add_setting( 'color_topbar_link_setting', array(
		'default' 		=> '#8f8f8f'
	));
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
		$wp_customize, 'color_topbar_link_setting',
		array(
			'label'		=> __('Color Enlaces', 'ho1a' ),
			'section'	=> 'color_topbar_section',
			'settings'	=> 'color_topbar_link_setting',
		) )
	);

	// apariencia > top bar > link: hover
	$wp_customize->add_setting( 'color_topbar_link_hover_setting', array(
		'default' 		=> '#252525'
	));

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
		$wp_customize, 'color_topbar_link_hover_setting',
		array(
			'label'		=> __('Color Enlaces Sobre', 'ho1a' ),
			'section'	=> 'color_topbar_section',
			'settings'  => 'color_topbar_link_hover_setting',
		) )
	);

	// apariencia > header
	$wp_customize->add_section( 'color_header_section' , array(
		'title'			=> __( 'Encabezado', 'ho1a' ),
		'panel'			=> 'design_panel',
		'priority'		=> 2,
		'capability'	=> 'edit_theme_options',
	));

	// apariencia > header > bg
	$wp_customize->add_setting( 'color_header_bg_setting', array(
		'default'		=> '#ffffff'
	));
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
		$wp_customize, 'color_header_bg_setting',
		array(
			'label'      => __('Color Fondo', 'ho1a' ),
			'section'    => 'color_header_section',
			'settings'   => 'color_header_bg_setting',
		) )
	);

	// apariencia > header > link
	$wp_customize->add_setting( 'color_header_link_setting', array(
		'default' 		=> '#111111'
	));
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
		$wp_customize, 'color_header_link_setting',
		array(
			'label'		=> __('Color Enlaces', 'ho1a' ),
			'section'	=> 'color_header_section',
			'settings'	=> 'color_header_link_setting',
		) )
	);

	// apariencia > header > link: hover
	$wp_customize->add_setting( 'color_header_link_hover_setting', array(
		'default' 		=> '#000000'
	));

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
		$wp_customize, 'color_header_link_hover_setting',
		array(
			'label'		=> __('Color Enlaces Sobre', 'ho1a' ),
			'section'	=> 'color_header_section',
			'settings'  => 'color_header_link_hover_setting',
		) )
	);

	// apariencia > footer
	$wp_customize->add_section( 'color_footer_section' , array(
		'title'			=> __( 'Pie de Página', 'ho1a' ),
		'panel'			=> 'design_panel',
		'priority'		=> 3,
		'capability'	=> 'edit_theme_options',
	));

	// apariencia > footer > bg
	$wp_customize->add_setting( 'color_footer_bg_setting', array(
		'default'		=> '#252525'
	));
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
		$wp_customize, 'color_footer_bg_setting',
		array(
			'label'      => __('Color Fondo', 'ho1a' ),
			'section'    => 'color_footer_section',
			'settings'   => 'color_footer_bg_setting',
		) )
	);

	// apariencia > footer > link
	$wp_customize->add_setting( 'color_footer_link_setting', array(
		'default' 		=> '#eeeeee'
	));
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
		$wp_customize, 'color_footer_link_setting',
		array(
			'label'		=> __('Color Enlaces', 'ho1a' ),
			'section'	=> 'color_footer_section',
			'settings'	=> 'color_footer_link_setting',
		) )
	);

	// apariencia > footer > link: hover
	$wp_customize->add_setting( 'color_footer_link_hover_setting', array(
		'default' 		=> '#ffffff'
	));

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
		$wp_customize, 'color_footer_link_hover_setting',
		array(
			'label'		=> __('Color Enlaces Sobre', 'ho1a' ),
			'section'	=> 'color_footer_section',
			'settings'  => 'color_footer_link_hover_setting',
		) )
	);

	// apariencia > footer > texto
	$wp_customize->add_setting( 'color_footer_texto_setting', array(
		'default' 		=> '#d3d3d3'
	));

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
		$wp_customize, 'color_footer_texto_setting',
		array(
			'label'		=> __('Color Texto', 'ho1a' ),
			'section'	=> 'color_footer_section',
			'settings'  => 'color_footer_texto_setting',
		) )
	);

	// apariencia > content
	$wp_customize->add_section( 'color_content_section' , array(
		'title'			=> __( 'Contenido', 'ho1a' ),
		'panel'			=> 'design_panel',
		'priority'		=> 4,
		'capability'	=> 'edit_theme_options',
	));

	// apariencia > content > bg
	$wp_customize->add_setting( 'color_content_bg_setting', array(
		'default'		=> '#ffffff'
	));
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
		$wp_customize, 'color_content_bg_setting',
		array(
			'label'      => __('Color Fondo', 'ho1a' ),
			'section'    => 'color_content_section',
			'settings'   => 'color_content_bg_setting',
		) )
	);

	// apariencia > content > title
	$wp_customize->add_setting( 'color_content_title_setting', array(
		'default'		=> '#252525'
	));
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
		$wp_customize, 'color_content_title_setting',
		array(
			'label'      => __('Color Titulos', 'ho1a' ),
			'section'    => 'color_content_section',
			'settings'   => 'color_content_title_setting',
		) )
	);

	// apariencia > content > textos
	$wp_customize->add_setting( 'color_content_text_setting', array(
		'default'		=> '#8f8f8f'
	));
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
		$wp_customize, 'color_content_text_setting',
		array(
			'label'      => __('Color Texto', 'ho1a' ),
			'section'    => 'color_content_section',
			'settings'   => 'color_content_text_setting',
		) )
	);

	// apariencia > content > link
	$wp_customize->add_setting( 'color_content_link_setting', array(
		'default'		=> '#007bff'
	));
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
		$wp_customize, 'color_content_link_setting',
		array(
			'label'      => __('Color Enlace', 'ho1a' ),
			'section'    => 'color_content_section',
			'settings'   => 'color_content_link_setting',
		) )
	);

	// apariencia > content > link hover
	$wp_customize->add_setting( 'color_content_link_hover_setting', array(
		'default'		=> '#0062cc'
	));
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
		$wp_customize, 'color_content_link_hover_setting',
		array(
			'label'      => __('Color Enlace Sobre', 'ho1a' ),
			'section'    => 'color_content_section',
			'settings'   => 'color_content_link_hover_setting',
		) )
	);

}
add_action( 'customize_register', 'magazine_theme_customize_register' );

// customizer insert
function customizer_head_styles() {

	$logo_ancho_setting = get_theme_mod( 'logo_ancho_setting' );
	if ( $logo_ancho_setting != '150' ){ ?>
		<style type="text/css">
			a.navbar-brand img{
				max-width: <?php echo $logo_ancho_setting; ?>px !important;
			}
		</style>
	<?php }

	$color_topbar_bg_setting = get_theme_mod( 'color_topbar_bg_setting' );
	if ( $color_topbar_bg_setting != '#fcfcfc' ){ ?>
		<style type="text/css">
			header .topbar {
				background-color: <?php echo $color_topbar_bg_setting; ?> !important;
			}
		</style>
	<?php }

	$color_topbar_link_setting = get_theme_mod( 'color_topbar_link_setting' );
	if ( $color_topbar_link_setting != '#8f8f8f' ){ ?>
		<style type="text/css">
			header .topbar .info a,
			header .topbar .info a:link,
			header .topbar .info a:visited,
			header .topbar .info a:hover,
			header .topbar .info a:active,
			header .topbar .info a:focus,
			header .social__icons ul li a,
			header .social__icons ul li a:link,
			header .social__icons ul li a:visited,
			header .social__icons ul li a:hover,
			header .social__icons ul li a:active,
			header .social__icons ul li a:focus {
				color: <?php echo $color_topbar_link_setting; ?> !important;
			}
		</style>
	<?php }

	$color_topbar_link_hover_setting = get_theme_mod( 'color_topbar_link_hover_setting' );
	if ( $color_topbar_link_hover_setting != '#252525' ){ ?>
		<style type="text/css">
			header .topbar .info a:hover,
			header .social__icons ul li a:hover{
				color: <?php echo $color_topbar_link_hover_setting; ?> !important;
			}
		</style>
	<?php }

	$color_header_bg_setting = get_theme_mod( 'color_header_bg_setting' );
	if ( $color_header_bg_setting != '#ffffff' ){ ?>
		<style type="text/css">
			.bg-light {
				background-color: <?php echo $color_header_bg_setting; ?> !important;
			}
			.dropdown-menu {
				background-color: <?php echo $color_header_bg_setting; ?> !important;
			}
		</style>
	<?php }

	$color_header_link_setting = get_theme_mod( 'color_header_link_setting' );
	if ( $color_header_link_setting != '#111111' ){ ?>
		<style type="text/css">
			.navbar-light .navbar-brand {
				color: <?php echo $color_header_link_setting; ?> !important;
			}
			.navbar-light .navbar-nav .nav-link {
				color: <?php echo $color_header_link_setting; ?> !important;
			}
			.dropdown-item {
				color: <?php echo $color_header_link_setting; ?> !important;
			}
			.navbar-light .navbar-toggler {
				border-color: <?php echo $color_header_link_setting; ?> !important;
				background-color: <?php echo $color_header_link_setting; ?> !important;
			}
		</style>
	<?php }

	$color_header_link_hover_setting = get_theme_mod( 'color_header_link_hover_setting' );
	if ( $color_header_link_hover_setting != '#000000' ){ ?>
		<style type="text/css">
			.navbar-light .navbar-brand:hover, .navbar-light .navbar-brand:focus {
				color: <?php echo $color_header_link_hover_setting; ?> !important;
			}
			.navbar-light .navbar-nav .nav-link:hover, .navbar-light .navbar-nav .nav-link:focus {
				color: <?php echo $color_header_link_hover_setting; ?> !important;
			}
			.dropdown-item:hover,
			.dropdown-item:focus {
				color: <?php echo $color_header_bg_setting; ?> !important;
				background-color: <?php echo $color_header_link_hover_setting; ?> !important;
			}
		</style>
	<?php }

	$color_footer_bg_setting = get_theme_mod( 'color_footer_bg_setting' );
	if ( $color_footer_bg_setting != '#252525' ){ ?>
		<style type="text/css">
			footer {
				background-color: <?php echo $color_footer_bg_setting; ?> !important;
			}
		</style>
	<?php }

	$color_footer_link_setting = get_theme_mod( 'color_footer_link_setting' );
	if ( $color_footer_link_setting != '#eeeeee' ){ ?>
		<style type="text/css">
			footer ul.nav li a:link,
			footer ul.nav li a:visited,
			footer ul.nav li a:hover,
			footer ul.nav li a:active,
			footer ul.nav li a:focus,
			footer .social__icons ul li a,
			footer .social__icons ul li a:link,
			footer .social__icons ul li a:visited,
			footer .social__icons ul li a:hover,
			footer .social__icons ul li a:active,
			footer .social__icons ul li a:focus {
				color: <?php echo $color_footer_link_setting; ?> !important;
			}
		</style>
	<?php }

	$color_footer_link_hover_setting = get_theme_mod( 'color_footer_link_hover_setting' );
	if ( $color_footer_link_hover_setting != '#ffffff' ){ ?>
		<style type="text/css">
			footer ul.nav li a:hover,
			footer .social__icons ul li a:hover{
				color: <?php echo $color_footer_link_hover_setting; ?> !important;
			}
		</style>
	<?php }

	$color_footer_texto_setting = get_theme_mod( 'color_footer_texto_setting' );
	if ( $color_footer_texto_setting != '#d3d3d3' ){ ?>
		<style type="text/css">
			footer p{
				color: <?php echo $color_footer_texto_setting; ?> !important;
			}
			</style>
	<?php }

	$color_content_bg_setting = get_theme_mod( 'color_content_bg_setting' );
	if ( $color_content_bg_setting != '#ffffff' ){ ?>
		<style type="text/css">
			body{
				background-color: <?php echo $color_content_bg_setting; ?> !important;
			}
			.form-control,
			form .form-control {
				background-color: <?php echo $color_content_bg_setting; ?> !important;
			}
			.entry__content .btn-outline-primary:hover{
				color: <?php echo $color_content_bg_setting; ?> !important;
			}
			.entry__content:hover,
			.entry__content a:hover{
				color: <?php echo $color_content_link_hover_setting; ?> !important;
			}
			.btn-primary:hover,
			.btn-primary a:hover,
			.entry__content .btn-primary:hover,
			.entry__content .btn-primary a:hover{
				color: <?php echo $color_content_link_hover_setting; ?> !important;
			}
			.btn-primary,
			.btn-primary a,
			.btn-primary a:link,
			.btn-primary a:visited,
			.btn-primary a:active,
			.btn-primary a:focus,
			.entry__content .btn-primary,
			.entry__content .btn-primary a,
			.entry__content .btn-primary a:link,
			.entry__content .btn-primary a:visited,
			.entry__content .btn-primary a:active,
			.entry__content .btn-primary a:focus{
				color: <?php echo $color_content_bg_setting; ?> !important;
			}
			.btn-outline-primary:not(:disabled):not(.disabled):active,
			.btn-outline-primary:not(:disabled):not(.disabled).active,
			.show > .btn-outline-primary.dropdown-toggle {
				color: <?php echo $color_content_bg_setting; ?> !important;
			}
			.return-to-shop{
				a{
					&:hover{
						color: <?php echo $color_content_bg_setting; ?> !important;
					}
				}
			}
			.woocommerce-message a.button,
			.woocommerce-message a.button:link,
			.woocommerce-message a.button:visited,
			.woocommerce-message a.button:hover,
			.woocommerce-message a.button:active,
			.woocommerce-message a.button:focus {
				color: <?php echo $color_content_bg_setting; ?> !important;
			}
			.wc-proceed-to-checkout a.btn,
			.wc-proceed-to-checkout a.btn:link,
			.wc-proceed-to-checkout a.btn:visited,
			.wc-proceed-to-checkout a.btn:hover,
			.wc-proceed-to-checkout a.btn:active,
			.wc-proceed-to-checkout a.btn:focus {
				color: <?php echo $color_content_bg_setting; ?> !important;
			}
		</style>
	<?php }else{ ?>
		<style type="text/css">
			.btn-outline-primary:hover,
			.entry__content .btn-outline-primary:hover{
				color: #ffffff !important;
			}
		</style>
	<?php }

	$color_content_title_setting = get_theme_mod( 'color_content_title_setting' );
	if ( $color_content_title_setting != '#252525' ){ ?>
		<style type="text/css">
			.entry__content h1,
			.entry__content h2,
			.entry__content h3,
			.entry__content h4,
			.entry__content h5,
			.page--blog .container article h1 a:link,
			.page--blog .container article h1 a:visited,
			.page--blog .container article h1 a:hover,
			.page--blog .container article h1 a:active,
			.page--blog .container article h1 a:focus,
			.page--blog .container article h2 a:link,
			.page--blog .container article h2 a:visited,
			.page--blog .container article h2 a:hover,
			.page--blog .container article h2 a:active,
			.page--blog .container article h2 a:focus,
			form .form-group label,
			.page--woocommerce h1{
				color: <?php echo $color_content_title_setting; ?> !important;
			}
		</style>
	<?php }

	$color_content_text_setting = get_theme_mod( 'color_content_text_setting' );
	if ( $color_content_text_setting != '#8f8f8f' ){ ?>
		<style type="text/css">
			.entry__content hr{
				border-color: <?php echo $color_content_text_setting; ?> !important;
				opacity: .3;
			}
			.entry__content h6,
			.entry__content p,
			.entry__content ul,
			.entry__content ol{
				color: <?php echo $color_content_text_setting; ?> !important;
			}
			.page--contacto address{
				color: <?php echo $color_content_text_setting; ?> !important;
			}
			blockquote p{
				color: <?php echo $color_content_text_setting; ?> !important;
			}
			.form-control,
			form .form-control {
				color: <?php echo $color_content_text_setting; ?> !important;
				border-color: <?php echo $color_content_text_setting; ?> !important;
			}
		</style>
	<?php }

	$color_content_link_setting = get_theme_mod( 'color_content_link_setting' );
	if ( $color_content_link_setting != '#007bff' ){ ?>
		<style type="text/css">
			.entry__content a,
			.entry__content a:link,
			.entry__content a:visited,
			.entry__content a:hover,
			.entry__content a:active,
			.entry__content a:focus{
				color:<?php echo $color_content_link_setting; ?> !important;
				border-color: <?php echo $color_content_link_setting; ?> !important;
			}
			.btn-outline-primary,
			.btn-outline-primary a,
			.btn-outline-primary a:link,
			.btn-outline-primary a:visited,
			.btn-outline-primary a:active,
			.btn-outline-primary a:focus,
			.entry__content .btn-outline-primary,
			.entry__content .btn-outline-primary a,
			.entry__content .btn-outline-primary a:link,
			.entry__content .btn-outline-primary a:visited,
			.entry__content .btn-outline-primary a:active,
			.entry__content .btn-outline-primary a:focus{
				color: <?php echo $color_content_link_setting; ?> !important;
				border-color: <?php echo $color_content_link_setting; ?> !important;
			}
			.btn-primary,
			.btn-primary a,
			.btn-primary a:link,
			.btn-primary a:visited,
			.btn-primary a:active,
			.btn-primary a:focus,
			.entry__content .btn-primary,
			.entry__content .btn-primary a,
			.entry__content .btn-primary a:link,
			.entry__content .btn-primary a:visited,
			.entry__content .btn-primary a:active,
			.entry__content .btn-primary a:focus{
				background-color: <?php echo $color_content_link_setting; ?> !important;
				border-color: <?php echo $color_content_link_setting; ?> !important;
			}
		</style>
	<?php }

	$color_content_link_hover_setting = get_theme_mod( 'color_content_link_hover_setting' );
	if ( $color_content_link_hover_setting != '#0062cc' ){ ?>
		<style type="text/css">
			.btn-primary:hover,
			.btn-primary a:hover,
			.entry__content .btn-primary:hover,
			.entry__content .btn-primary a:hover{
				border-color: <?php echo $color_content_link_hover_setting; ?> !important;
				background-color: <?php echo $color_content_link_hover_setting; ?> !important;
			}
			.btn-outline-primary:hover,
			.btn-outline-primary a:hover,
			.entry__content .btn-outline-primary:hover,
			.entry__content .btn-outline-primary a:hover{
				border-color: <?php echo $color_content_link_hover_setting; ?> !important;
				background-color: <?php echo $color_content_link_hover_setting; ?> !important;
			}
			.btn-outline-primary:not(:disabled):not(.disabled):active:focus,
			.btn-outline-primary:not(:disabled):not(.disabled).active:focus,
			.show > .btn-outline-primary.dropdown-toggle:focus {
				background-color: <?php echo $color_content_link_hover_setting; ?> !important;
    			border-color: <?php echo $color_content_link_hover_setting; ?> !important;
				-webkit-box-shadow: none !important;
				box-shadow: none !important;
			}
			.btn-outline-primary:focus,
			.btn-outline-primary.focus {
				-webkit-box-shadow: none !important;
				box-shadow: none !important;
			}
		</style>
	<?php }
}
add_action( 'wp_head', 'customizer_head_styles' );
