<?php
// admin pages > 01 info_page
function cmb2_register_options_info_page() {
	$cmb_options = new_cmb2_box( array(
		'id'				=> 'info_page',
		'title'				=> esc_html__( 'Información', 'cmb2' ),
		'object_types'		=> array( 'options-page' ),
		'option_key'		=> 'info_page',
		'parent_slug'		=> 'themes.php',
	) );

	$cmb_options->add_field( array(
		'name' => 'Información de Contacto',
		'id'   => 'info_title',
		'type' => 'title'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Teléfono', 'cmb2' ),
		'id'      => 'info_telefono',
		'desc'    => '<br>Teléfono de tu empresa.',
		'type'    => 'text_medium'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Email', 'cmb2' ),
		'desc'    => 'Email de contacto de tu empresa, este email se utilizara tambien para el formulario de contacto de la sección de contacto',
		'default' => get_option('admin_email'),
		'id'      => 'info_email',
		'type'    => 'text_email'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Horario', 'cmb2' ),
		'desc'    => '<br>Horario de tu empresa<br>Ejemplo: Lunes a Viernes de 9am — 6pm',
		'id'      => 'info_horario',
		'type'    => 'text_medium'
	) );

	$cmb_options->add_field( array(
		'name' => 'Ubicación',
		'id'   => 'ubicacion_title',
		'type' => 'title'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Calle', 'cmb2' ),
		'desc'    => '<br>Calle de tu empresa',
		'id'      => 'ubicacion_calle',
		'type'    => 'text_medium'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Número Exterior', 'cmb2' ),
		'desc'    => '<br>Número Exterior de tu empresa',
		'id'      => 'ubicacion_num_ext',
		'type'    => 'text_medium'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Número Interior', 'cmb2' ),
		'desc'    => '<br>Número Interior de tu empresa',
		'id'      => 'ubicacion_num_int',
		'type'    => 'text_medium'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Colonia', 'cmb2' ),
		'desc'    => '<br>Colonia de tu empresa',
		'id'      => 'ubicacion_colonia',
		'type'    => 'text_medium'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Codigo Postal', 'cmb2' ),
		'desc'    => '<br>Codigo Postal de tu empresa',
		'id'      => 'ubicacion_cp',
		'type'    => 'text_medium'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Ciudad', 'cmb2' ),
		'desc'    => '<br>Ciudad de tu empresa',
		'id'      => 'ubicacion_ciudad',
		'type'    => 'text_medium'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Estado', 'cmb2' ),
		'desc'    => '<br>Estado de tu empresa',
		'id'      => 'ubicacion_estado',
		'type'    => 'text_medium'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'País', 'cmb2' ),
		'desc'    => '<br>País de tu empresa',
		'id'      => 'ubicacion_pais',
		'type'    => 'text_medium'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Latitud', 'cmb2' ),
		'desc'    => '<br>Encuentra la latitud de un domicilio en este sitio: <a href="http://www.mapcoordinates.net/es" target="_blank">www.mapcoordinates.net/es</a><br>Ejemplo: 20.6596988',
		'id'      => 'ubicacion_latitud',
		'type'    => 'text_medium'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Longitud', 'cmb2' ),
		'desc'    => '<br>Encuentra la longitud de un domicilio en este sitio: <a href="http://www.mapcoordinates.net/es" target="_blank">www.mapcoordinates.net/es</a><br>Ejemplo: -103.3496092',
		'id'      => 'ubicacion_longitud',
		'type'    => 'text_medium'
	) );

	$cmb_options->add_field( array(
		'name' => 'Redes Sociales',
		'id'   => 'redes_title',
		'type' => 'title'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Facebook', 'cmb2' ),
		'desc'    => 'Ejemplo: https://www.facebook.com/Megacable/',
		'id'      => 'redes_facebook',
		'type'    => 'text_url'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Instagram', 'cmb2' ),
		'desc'    => 'Ejemplo: https://www.instagram.com/megacable/',
		'id'      => 'redes_instagram',
		'type'    => 'text_url'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Twitter', 'cmb2' ),
		'desc'    => 'Ejemplo: https://twitter.com/megacable/',
		'id'      => 'redes_twitter',
		'type'    => 'text_url'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Foursquare', 'cmb2' ),
		'desc'    => 'Ejemplo: https://es.foursquare.com/v/megacable/4e582d711f6e2a1922e1f9a2',
		'id'      => 'redes_foursquare',
		'type'    => 'text_url'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Linkedin', 'cmb2' ),
		'desc'    => 'Ejemplo: https://mx.linkedin.com/company/megacable',
		'id'      => 'redes_linkedin',
		'type'    => 'text_url'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'YouTube', 'cmb2' ),
		'desc'    => 'Ejemplo: https://www.youtube.com/user/spotsmegacable',
		'id'      => 'redes_youtube',
		'type'    => 'text_url'
	) );

	$cmb_options->add_field( array(
		'name' => 'Analítica Web',
		'id'   => 'aw_title',
		'type' => 'title'
	) );

	$cmb_options->add_field( array(
		'name'    => esc_html__( 'Código de Seguimiento de Google Analytics', 'cmb2' ),
		'desc'    => '<a href="https://support.google.com/analytics/answer/6086097?hl=es" target="_blank">Más información</a>',
		'id'      => 'aw_ga',
		'type'    => 'textarea_code'
	) );
}
add_action( 'cmb2_admin_init', 'cmb2_register_options_info_page' );
