<?php
// cmb2 slider
add_action( 'cmb2_admin_init', 'cmb2_slider_register_metabox' );
function cmb2_slider_register_metabox() {
	$prefix = 'cmb2_slider_';
	$cmb = new_cmb2_box( array(
		'id'            => $prefix . 'metabox',
		'title'         => esc_html__( 'Slider de fotos', 'cmb2' ),
		'object_types'  => array( 'page'),
		'show_on' 		=> array( 'key' => 'page-template', 'value' => 'template-home.php' )
	) );
	$cmb->add_field( array(
		'name'         => esc_html__( 'Slider de fotos', 'cmb2' ),
		'desc'         => esc_html__( 'Subir o añadir varias imágenes.', 'cmb2' ),
		'id'           => $prefix . 'file_list',
		'type'         => 'file_list',
		'preview_size' => array( 100, 100 ),
		'query_args'   => array( 'type' => 'image' )
	) );
}

// cmb2 slider output
function cmb2_output_slider( $file_list_meta_key, $img_size = 'medium') {
	$files = get_post_meta( get_the_ID(), $file_list_meta_key, 1 );
	if (!empty($files)) { ?>
		<section class="slider slider-js">
			<?php foreach ( (array) $files as $attachment_id => $attachment_url ) { ?>
				<div class="slide" data-flickity-bg-lazyload="<?php echo $attachment_url; ?>">
				</div>

			<?php } ?>
		</section>
	<?php }
}

// cmb2 gallery - page
add_action( 'cmb2_admin_init', 'cmb2_gallery_page_register_metabox' );
function cmb2_gallery_page_register_metabox() {
	$prefix = 'cmb2_gallery_page_';
	$cmb = new_cmb2_box( array(
		'id'            => $prefix . 'metabox',
		'title'         => esc_html__( 'Galería de fotos', 'cmb2' ),
		'object_types'  => array( 'page' ),
		'show_on' 		=> array( 'key' => 'page-template', 'value' => 'default' )
	) );
	$cmb->add_field( array(
		'name'         => esc_html__( 'Galería de fotos', 'cmb2' ),
		'desc'         => esc_html__( 'Subir o añadir varias imágenes.', 'cmb2' ),
		'id'           => $prefix . 'file_list',
		'type'         => 'file_list',
		'preview_size' => array( 100, 100 ),
		'query_args'   => array( 'type' => 'image' )
	) );
}

// cmb2 gallery - post
add_action( 'cmb2_admin_init', 'cmb2_gallery_post_register_metabox');
function cmb2_gallery_post_register_metabox() {
	$prefix = 'cmb2_gallery_post_';
	$cmb = new_cmb2_box( array(
		'id'            => $prefix . 'metabox',
		'title'         => esc_html__( 'Galería de fotos', 'cmb2' ),
		'object_types'  => array( 'post' ),
	) );
	$cmb->add_field( array(
		'name'         => esc_html__( 'Galería de fotos', 'cmb2' ),
		'desc'         => esc_html__( 'Subir o añadir varias imágenes.', 'cmb2' ),
		'id'           => $prefix . 'file_list',
		'type'         => 'file_list',
		'preview_size' => array( 100, 100 ),
		'query_args'   => array( 'type' => 'image' )
	) );
}

// cmb2 gallery output
function cmb2_output_gallery( $file_list_meta_key, $img_size = 'large', $page_type ) {
	$files = get_post_meta( get_the_ID(), $file_list_meta_key, 1 );
	if (!empty($files)) { ?>
		<div class="<?php echo  $page_type ?>">
			<ul class="gallery">
				<?php foreach ( (array) $files as $attachment_id => $attachment_url ) { ?>
					<?php $attachment = get_post($attachment_id); ?>

					<?php $image_medium = wp_get_attachment_image_src( $attachment_id, 'large' ); ?>
					<?php $image_full = wp_get_attachment_image_src( $attachment_id, 'full' ); ?>
					<li>
						<a data-fancybox="gallery" data-caption="<?php if( !empty($attachment->post_title) ){ echo $attachment->post_title; } if( !empty($attachment->post_content) ){ echo '<br>'; echo $attachment->post_content; } if( !empty($attachment->post_excerpt) ){ echo '<br>'; echo $attachment->post_excerpt; } ?>" href="<?php echo $image_full[0]; ?>">
							<span style="background-image:url(<?php echo $image_medium[0]; ?>);"/></span>
						</a>
					</li>
				<?php } ?>
			</ul>
		</div>
	<?php }
}

// remove meta boxes
function my_remove_meta_boxes() {
	if ( !current_user_can( 'administrator' ) ) {

		// shop_order
		remove_meta_box( 'postcustom', 'shop_order', 'normal' );

		// product
		remove_meta_box( 'commentsdiv', 'product', 'normal' );
		remove_meta_box( 'postcustom', 'product', 'normal' );
		remove_meta_box( 'slugdiv', 'product', 'normal' );
		remove_meta_box( 'postexcerpt', 'product', 'normal' );

		// page
		remove_meta_box( 'pageparentdiv', 'page', 'normal' );
		remove_meta_box( 'slugdiv', 'page', 'normal' );
		remove_meta_box( 'postexcerpt', 'page', 'normal' );
		remove_meta_box( 'trackbacksdiv', 'page', 'normal' );
		remove_meta_box( 'postcustom', 'page', 'normal' );
		remove_meta_box( 'commentstatusdiv', 'page', 'normal' );
		remove_meta_box( 'commentsdiv', 'page', 'normal' );
		remove_meta_box( 'revisionsdiv', 'page', 'normal' );
		remove_meta_box( 'authordiv', 'page', 'normal' );
		remove_meta_box( 'sqpt-meta-tags', 'page', 'normal' );

		// post
		remove_meta_box( 'slugdiv', 'post', 'normal' );
		remove_meta_box( 'tagsdiv-post_tag', 'post', 'normal' );
		remove_meta_box( 'tags-div', 'post', 'normal' );
		remove_meta_box( 'postexcerpt', 'post', 'normal' );
		remove_meta_box( 'trackbacksdiv', 'post', 'normal' );
		remove_meta_box( 'postcustom', 'post', 'normal' );
		remove_meta_box( 'commentstatusdiv', 'post', 'normal' );
		remove_meta_box( 'commentsdiv', 'post', 'normal' );
		remove_meta_box( 'revisionsdiv', 'post', 'normal' );
		remove_meta_box( 'authordiv', 'post', 'normal' );
		remove_meta_box( 'sqpt-meta-tags', 'post', 'normal' );
	}
}
add_action( 'admin_menu', 'my_remove_meta_boxes' );

// remove post tags
function unregister_tags() {
	unregister_taxonomy_for_object_type( 'post_tag', 'post' );
	unregister_taxonomy_for_object_type( 'product_tag', 'product' );
}
add_action( 'init', 'unregister_tags' );
