<?php
// css
function package_css() {
    wp_enqueue_style( 'fontawesome-css', 'https://use.fontawesome.com/releases/v5.0.13/css/all.css', null, null );
    wp_enqueue_style( 'flickity-css', 'https://unpkg.com/flickity@2/dist/flickity.min.css', null, null );
	wp_enqueue_style( 'fancybox-css', 'https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.3.5/jquery.fancybox.min.css', null, null );
}
add_action( 'wp_enqueue_scripts', 'package_css' );

// theme css
function theme_style() {
	wp_enqueue_style( 'theme-style', get_stylesheet_uri() );
}
add_action( 'wp_enqueue_scripts', 'theme_style' );

// js
function package_js() {
	wp_enqueue_script( 'popper-js', 'https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js', array(), null, true );
	wp_enqueue_script( 'bootstrap-js', 'https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js', array(), null, true );
    wp_enqueue_script( 'flickity-js', 'https://unpkg.com/flickity@2/dist/flickity.pkgd.min.js', array(), null, true );
    wp_enqueue_script( 'flickity-bgll-js', 'https://unpkg.com/flickity-bg-lazyload@1/bg-lazyload.js', array(), null, true );
	wp_enqueue_script( 'fancybox-js', 'https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.3.5/jquery.fancybox.min.js', array(), null, true );
	wp_enqueue_script( 'smooth-scroll-js', 'https://cdn.jsdelivr.net/gh/cferdinandi/smooth-scroll@14.2.0/dist/smooth-scroll.polyfills.min.js', array(), null, true );
	wp_enqueue_script( 'gmaps-js', 'https://maps.googleapis.com/maps/api/js?key=AIzaSyBCARAT9ZLGwpWCovaIVVGpDVbqo_9GTlk', array(), null, false );
	wp_enqueue_script( 'app-js', get_bloginfo('template_url').'/assets/js/app.min.js', array(), null, true );
}
add_action( 'wp_enqueue_scripts', 'package_js' );

// jquery
function jquery() {
	wp_deregister_script('jquery');
	wp_register_script('jquery', ("https://code.jquery.com/jquery-3.3.1.min.js"), false);
	wp_enqueue_script('jquery');
}
add_action( 'wp_enqueue_scripts', 'jquery' );

// add feature images
if ( function_exists( 'add_theme_support' ) ) {
	add_theme_support( 'post-thumbnails' );
}

// nav
require_once get_template_directory() . '/inc/vendor/class-wp-bootstrap-navwalker.php';
register_nav_menus( array(
	'encabezado' => __( 'Menú - Encabezado', 'ho1a' ),
	'pie-de-pagina' => __( 'Menú - Pie de Página', 'ho1a' )
) );

// pagination
function pagination($pages = '', $range = 4){
	$showitems = ($range * 2) + 1;
	global $paged;
	if(empty($paged)) $paged = 1;
	if($pages == ''){
		global $wp_query;
		$pages = $wp_query->max_num_pages;
		if(!$pages){
			$pages = 1;
		}
	}
	if(1 != $pages){
		echo '<nav aria-label="Page navigation"><ul class="pagination">';
		if($paged > 2 && $paged > $range+1 && $showitems < $pages)
		echo "<li class=\"page-item\"><a class=\"page-link\" href='".get_pagenum_link(1)."' aria-label='First'>&laquo;<span class=\"page-link\"> Primera</span></a></li>";
		if($paged > 1 && $showitems < $pages)
		echo "<li class=\"page-item\"><a class=\"page-link\" href='".get_pagenum_link($paged - 1)."' aria-label='Previous'>&lsaquo;<span class=\"page-link\"> Anterior</span></a></li>";
		for ($i=1; $i <= $pages; $i++){
			if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems )){
				echo ($paged == $i)? "<li class=\"page-item active\"><span class=\"page-link\">".$i."</span></li>":"<li><a class=\"page-link\" href='".get_pagenum_link($i)."'>".$i."</a></li>";
			}
		}
		if ($paged < $pages && $showitems < $pages)
		echo "<li class=\"page-item\"><a class=\"page-link\" href=\"".get_pagenum_link($paged + 1)."\"  aria-label='Next'><span class=\"page-link\">Siguiente </span>&rsaquo;</a></li>";
		if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages)
		echo "<li><a class=\"page-link\" href='".get_pagenum_link($pages)."' aria-label='Last'><span class=\"page-link\">Ultima </span>&raquo;</a></li>";
		echo "</ul></nav>";
	}
}
