<?php
// remove user roles
remove_role( 'subscriber' );
remove_role( 'editor' );
remove_role( 'contributor' );
remove_role( 'author' );
remove_role( 'shop_manager' );
remove_role( 'wpseo_editor' );
remove_role( 'wpseo_manager' );
remove_role( 'wpseo_editor' );
remove_role( 'wpseo_editor' );

// user roles
$cloud4 = add_role( 'megacable_cloud4', 'Cloud 4' );
$cloud3 = add_role( 'megacable_cloud3', 'Cloud 3' );
$cloud2 = add_role( 'megacable_cloud2', 'Cloud 2' );

// cloud4
function cloud4_capability() {
    $user = get_role( 'megacable_cloud4' );

    // woocommerce
    $user->add_cap( 'manage_woocommerce' );

    // reports
    $user->add_cap( 'view_woocommerce_reports' );

    // coupon
    $user->add_cap( 'edit_shop_coupon' );
    $user->add_cap( 'read_shop_coupon' );
    $user->add_cap( 'delete_shop_coupon' );
    $user->add_cap( 'edit_shop_coupons' );
    $user->add_cap( 'publish_shop_coupons' );
    $user->add_cap( 'read_private_shop_coupons' );
    $user->add_cap( 'delete_shop_coupons' );
    $user->add_cap( 'delete_private_shop_coupons' );
    $user->add_cap( 'delete_published_shop_coupons' );
    $user->add_cap( 'edit_private_shop_coupons' );
    $user->add_cap( 'edit_published_shop_coupons' );

    // order
    $user->add_cap( 'edit_shop_order' );
    $user->add_cap( 'read_shop_order' );
    $user->add_cap( 'delete_shop_order' );
    $user->add_cap( 'edit_shop_orders' );
    $user->add_cap( 'edit_others_shop_orders' );
    $user->add_cap( 'publish_shop_orders' );
    $user->add_cap( 'read_private_shop_orders' );
    $user->add_cap( 'delete_shop_orders' );
    $user->add_cap( 'delete_private_shop_orders' );
    $user->add_cap( 'delete_published_shop_orders' );
    $user->add_cap( 'delete_others_shop_orders' );
    $user->add_cap( 'edit_private_shop_orders' );
    $user->add_cap( 'edit_published_shop_orders' );
    $user->add_cap( 'manage_woocommerce_orders' );

    // order terms
    $user->add_cap( 'manage_shop_order_terms' );
    $user->add_cap( 'edit_shop_order_terms' );
    $user->add_cap( 'delete_shop_order_terms' );
    $user->add_cap( 'assign_shop_order_terms' );

    // products
    $user->add_cap( 'manage_woocommerce_products' );

    // taxonomies
    $user->add_cap( 'manage_woocommerce_taxonomies' );

    // terms
    $user->add_cap( 'manage_product_terms' );
    $user->add_cap( 'edit_product_terms' );
    $user->add_cap( 'delete_product_terms' );
    $user->add_cap( 'assign_product_terms' );
    $user->add_cap( 'manage_categories' );

    // products
    $user->add_cap( 'edit_product' );
    $user->add_cap( 'read_product' );
    $user->add_cap( 'delete_others_products' );
    $user->add_cap( 'delete_products' );
    $user->add_cap( 'delete_private_products' );
    $user->add_cap( 'delete_published_products' );
    $user->add_cap( 'edit_others_products' );
    $user->add_cap( 'edit_products' );
    $user->add_cap( 'edit_private_products' );
    $user->add_cap( 'edit_published_products' );
    $user->add_cap( 'publish_products' );
    $user->add_cap( 'read_private_products' );

    // wp core
    $user->add_cap( 'delete_others_pages' );
    $user->add_cap( 'delete_others_posts' );
    $user->add_cap( 'delete_pages' );
    $user->add_cap( 'delete_posts' );
    $user->add_cap( 'delete_private_pages' );
    $user->add_cap( 'delete_private_posts' );
    $user->add_cap( 'delete_published_pages' );
    $user->add_cap( 'delete_published_posts' );
    $user->add_cap( 'edit_others_pages' );
    $user->add_cap( 'edit_others_posts' );
    $user->add_cap( 'edit_pages' );
    $user->add_cap( 'edit_posts' );
    $user->add_cap( 'edit_private_pages' );
    $user->add_cap( 'edit_private_posts' );
    $user->add_cap( 'edit_published_pages' );
    $user->add_cap( 'edit_published_posts' );
    $user->add_cap( 'manage_categories' );
    $user->add_cap( 'manage_links' );
    $user->add_cap( 'publish_pages' );
    $user->add_cap( 'publish_posts' );
    $user->add_cap( 'read_private_pages' );
    $user->add_cap( 'read_private_posts' );
    $user->add_cap( 'read' );
    $user->add_cap( 'upload_files' );
    $user->add_cap( 'customize' );
    $user->add_cap( 'edit_theme_options' );
    $user->add_cap( 'manage_options' );

    // remove wp core
    $user->remove_cap( 'list_users' );
    $user->remove_cap( 'export' );
    $user->remove_cap( 'import' );
    $user->remove_cap( 'activate_plugins' );
    $user->remove_cap( 'switch_themes' );
    $user->remove_cap( 'delete_site' );
    $user->remove_cap( 'moderate_comments' );
    $user->remove_cap( 'edit_dashboard' );
}
add_action( 'admin_init', 'cloud4_capability');


// cloud3
function cloud3_capability() {
    $user = get_role( 'megacable_cloud3' );

    // products
    $user->add_cap( 'manage_woocommerce_products' );

    // taxonomies
    $user->add_cap( 'manage_woocommerce_taxonomies' );

    // terms
    $user->add_cap( 'manage_product_terms' );
    $user->add_cap( 'edit_product_terms' );
    $user->add_cap( 'delete_product_terms' );
    $user->add_cap( 'assign_product_terms' );
    $user->add_cap( 'manage_categories' );

    // products
    $user->add_cap( 'edit_product' );
    $user->add_cap( 'read_product' );
    $user->add_cap( 'delete_others_products' );
    $user->add_cap( 'delete_products' );
    $user->add_cap( 'delete_private_products' );
    $user->add_cap( 'delete_published_products' );
    $user->add_cap( 'edit_others_products' );
    $user->add_cap( 'edit_products' );
    $user->add_cap( 'edit_private_products' );
    $user->add_cap( 'edit_published_products' );
    $user->add_cap( 'publish_products' );
    $user->add_cap( 'read_private_products' );

    // wp core
    $user->add_cap( 'delete_others_pages' );
    $user->add_cap( 'delete_others_posts' );
    $user->add_cap( 'delete_pages' );
    $user->add_cap( 'delete_posts' );
    $user->add_cap( 'delete_private_pages' );
    $user->add_cap( 'delete_private_posts' );
    $user->add_cap( 'delete_published_pages' );
    $user->add_cap( 'delete_published_posts' );
    $user->add_cap( 'edit_others_pages' );
    $user->add_cap( 'edit_others_posts' );
    $user->add_cap( 'edit_pages' );
    $user->add_cap( 'edit_posts' );
    $user->add_cap( 'edit_private_pages' );
    $user->add_cap( 'edit_private_posts' );
    $user->add_cap( 'edit_published_pages' );
    $user->add_cap( 'edit_published_posts' );
    $user->add_cap( 'manage_categories' );
    $user->add_cap( 'manage_links' );
    $user->add_cap( 'publish_pages' );
    $user->add_cap( 'publish_posts' );
    $user->add_cap( 'read_private_pages' );
    $user->add_cap( 'read_private_posts' );
    $user->add_cap( 'read' );
    $user->add_cap( 'upload_files' );
    $user->add_cap( 'customize' );
    $user->add_cap( 'edit_theme_options' );
    $user->add_cap( 'manage_options' );

    // remove woocommerce
    $user->remove_cap( 'manage_woocommerce' );

    // remove reports
    $user->remove_cap( 'view_woocommerce_reports' );

    // remove coupon
    $user->remove_cap( 'edit_shop_coupon' );
    $user->remove_cap( 'read_shop_coupon' );
    $user->remove_cap( 'delete_shop_coupon' );
    $user->remove_cap( 'edit_shop_coupons' );
    $user->remove_cap( 'publish_shop_coupons' );
    $user->remove_cap( 'read_private_shop_coupons' );
    $user->remove_cap( 'delete_shop_coupons' );
    $user->remove_cap( 'delete_private_shop_coupons' );
    $user->remove_cap( 'delete_published_shop_coupons' );
    $user->remove_cap( 'edit_private_shop_coupons' );
    $user->remove_cap( 'edit_published_shop_coupons' );

    // remove order
    $user->remove_cap( 'edit_shop_order' );
    $user->remove_cap( 'read_shop_order' );
    $user->remove_cap( 'delete_shop_order' );
    $user->remove_cap( 'edit_shop_orders' );
    $user->remove_cap( 'edit_others_shop_orders' );
    $user->remove_cap( 'publish_shop_orders' );
    $user->remove_cap( 'read_private_shop_orders' );
    $user->remove_cap( 'delete_shop_orders' );
    $user->remove_cap( 'delete_private_shop_orders' );
    $user->remove_cap( 'delete_published_shop_orders' );
    $user->remove_cap( 'delete_others_shop_orders' );
    $user->remove_cap( 'edit_private_shop_orders' );
    $user->remove_cap( 'edit_published_shop_orders' );
    $user->remove_cap( 'manage_woocommerce_orders' );

    // remove order terms
    $user->remove_cap( 'manage_shop_order_terms' );
    $user->remove_cap( 'edit_shop_order_terms' );
    $user->remove_cap( 'delete_shop_order_terms' );
    $user->remove_cap( 'assign_shop_order_terms' );

    // remove wp core
    $user->remove_cap( 'list_users' );
    $user->remove_cap( 'export' );
    $user->remove_cap( 'import' );
    $user->remove_cap( 'activate_plugins' );
    $user->remove_cap( 'switch_themes' );
    $user->remove_cap( 'delete_site' );
    $user->remove_cap( 'moderate_comments' );
    $user->remove_cap( 'edit_dashboard' );
}
add_action( 'admin_init', 'cloud3_capability');


// cloud2
function cloud2_capability() {
    $user = get_role( 'megacable_cloud2' );

    // add
    $user->add_cap( 'delete_others_pages' );
    $user->add_cap( 'delete_others_posts' );
    $user->add_cap( 'delete_pages' );
    $user->add_cap( 'delete_posts' );
    $user->add_cap( 'delete_private_pages' );
    $user->add_cap( 'delete_private_posts' );
    $user->add_cap( 'delete_published_pages' );
    $user->add_cap( 'delete_published_posts' );
    $user->add_cap( 'edit_others_pages' );
    $user->add_cap( 'edit_others_posts' );
    $user->add_cap( 'edit_pages' );
    $user->add_cap( 'edit_posts' );
    $user->add_cap( 'edit_private_pages' );
    $user->add_cap( 'edit_private_posts' );
    $user->add_cap( 'edit_published_pages' );
    $user->add_cap( 'edit_published_posts' );
    $user->add_cap( 'manage_categories' );
    $user->add_cap( 'manage_links' );
    $user->add_cap( 'publish_pages' );
    $user->add_cap( 'publish_posts' );
    $user->add_cap( 'read_private_pages' );
    $user->add_cap( 'read_private_posts' );
    $user->add_cap( 'read' );
    $user->add_cap( 'upload_files' );
    $user->add_cap( 'customize' );
    $user->add_cap( 'edit_theme_options' );
    $user->add_cap( 'manage_options' );

    // remove woocommerce
    $user->remove_cap( 'manage_woocommerce' );

    // remove reports
    $user->remove_cap( 'view_woocommerce_reports' );

    // remove order
    $user->remove_cap( 'edit_shop_order' );
    $user->remove_cap( 'read_shop_order' );
    $user->remove_cap( 'delete_shop_order' );
    $user->remove_cap( 'edit_shop_orders' );
    $user->remove_cap( 'edit_others_shop_orders' );
    $user->remove_cap( 'publish_shop_orders' );
    $user->remove_cap( 'read_private_shop_orders' );
    $user->remove_cap( 'delete_shop_orders' );
    $user->remove_cap( 'delete_private_shop_orders' );
    $user->remove_cap( 'delete_published_shop_orders' );
    $user->remove_cap( 'delete_others_shop_orders' );
    $user->remove_cap( 'edit_private_shop_orders' );
    $user->remove_cap( 'edit_published_shop_orders' );
    $user->remove_cap( 'manage_woocommerce_orders' );

    // remove order terms
    $user->remove_cap( 'manage_shop_order_terms' );
    $user->remove_cap( 'edit_shop_order_terms' );
    $user->remove_cap( 'delete_shop_order_terms' );
    $user->remove_cap( 'assign_shop_order_terms' );

    // remove products
    $user->remove_cap( 'manage_woocommerce_products' );

    // remove taxonomies
    $user->remove_cap( 'manage_woocommerce_taxonomies' );

    // remove terms
    $user->remove_cap( 'manage_product_terms' );
    $user->remove_cap( 'edit_product_terms' );
    $user->remove_cap( 'delete_product_terms' );
    $user->remove_cap( 'assign_product_terms' );
    $user->remove_cap( 'manage_categories' );

    // remove products
    $user->remove_cap( 'edit_product' );
    $user->remove_cap( 'read_product' );
    $user->remove_cap( 'delete_others_products' );
    $user->remove_cap( 'delete_products' );
    $user->remove_cap( 'delete_private_products' );
    $user->remove_cap( 'delete_published_products' );
    $user->remove_cap( 'edit_others_products' );
    $user->remove_cap( 'edit_products' );
    $user->remove_cap( 'edit_private_products' );
    $user->remove_cap( 'edit_published_products' );
    $user->remove_cap( 'publish_products' );
    $user->remove_cap( 'read_private_products' );

    // remove wp core
    $user->remove_cap( 'list_users' );
    $user->remove_cap( 'export' );
    $user->remove_cap( 'import' );
    $user->remove_cap( 'activate_plugins' );
    $user->remove_cap( 'switch_themes' );
    $user->remove_cap( 'delete_site' );
    $user->remove_cap( 'moderate_comments' );
    $user->remove_cap( 'edit_dashboard' );
}
add_action( 'admin_init', 'cloud2_capability');
