<?php
 // add woocommerce_support
 function mytheme_add_woocommerce_support() {
    add_theme_support( 'woocommerce' );
}
add_action( 'after_setup_theme', 'mytheme_add_woocommerce_support' );

// if is user cloud3 or 4 - remove woocommerce purchasable
$user_info = get_userdata(2);
$user_rol =  $user_info->roles[0];
if ( $user_rol ==  'megacable_cloud3' or $user_rol ==  'megacable_cloud2' ){
    add_filter( 'woocommerce_is_purchasable', '__return_false');
}

////////////
// product
////////////
// theme support
add_theme_support( 'wc-product-gallery-zoom' );
// add_theme_support( 'wc-product-gallery-lightbox' );
add_theme_support( 'wc-product-gallery-slider' );
add_action( 'woocommerce_single_product_summary', 'woocommerce_output_product_data_tabs', 20 );
remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_product_data_tabs', 10 );

// remove tabs
function remove_tab($tabs){
	unset($tabs['advanced']);
	unset($tabs['linked_product']);
	unset($tabs['attribute']);
	unset($tabs['variations']);
	return($tabs);
 }
 add_filter('woocommerce_product_data_tabs', 'remove_tab', 10, 1);

// remove product type selector
 add_filter( 'product_type_selector', 'remove_product_types' );
 function remove_product_types( $types ){
	 unset( $types['grouped'] );
	 unset( $types['external'] );
	 unset( $types['variable'] );
	 return $types;
 }

 // remove product_attributes
 function remove_linked_products($tabs){
    unset($tabs['product_attributes']);
    return($tabs);
}
add_filter('woocommerce_product_data_tabs', 'remove_linked_products', 10, 1);

 // remove product_attributes subpage
function hide_wc_menu_items() {
    remove_submenu_page( 'edit.php?post_type=product', 'product_attributes' );
}
add_action( 'admin_menu', 'hide_wc_menu_items', 99, 0 );

function my_remove_product_type_options( $options ) {
	if ( isset( $options['virtual'] ) ) {
		unset( $options['virtual'] );
	}
	if ( isset( $options['downloadable'] ) ) {
		unset( $options['downloadable'] );
	}
	return $options;
}
add_filter( 'product_type_options', 'my_remove_product_type_options' );

////////////
// chekout
////////////
// change text realizar pago
add_filter( 'woocommerce_order_button_text', 'woo_custom_order_button_text' );
function woo_custom_order_button_text() {
    return __( 'Realizar Pago', 'woocommerce' );
}


function lv2_add_bootstrap_input_classes( $args, $key, $value = null ) {

	switch ( $args['type'] ) {
		case "select" :  /* Targets all select input type elements, except the country and state select input types */
			$args['class'][] = 'form-group'; // Add a class to the field's html element wrapper - woocommerce input types (fields) are often wrapped within a <p></p> tag
			$args['input_class'] = array('form-control', 'input-lg'); // Add a class to the form input itself
			$args['custom_attributes']['data-plugin'] = 'select2';
			$args['label_class'] = array('control-label');
			$args['custom_attributes'] = array( 'data-plugin' => 'select2', 'data-allow-clear' => 'true', 'aria-hidden' => 'true',  ); // Add custom data attributes to the form input itself
		break;
		case 'country' : /* By default WooCommerce will populate a select with the country names - $args defined for this specific input type targets only the country select element */
			$args['class'][] = 'form-group single-country';
			$args['label_class'] = array('control-label');
		break;
		case "state" : /* By default WooCommerce will populate a select with state names - $args defined for this specific input type targets only the country select element */
			$args['class'][] = 'form-group'; // Add class to the field's html element wrapper
			$args['input_class'] = array('form-control', 'input-lg'); // add class to the form input itself
			// $args['custom_attributes']['data-plugin'] = 'select2';
			$args['label_class'] = array('control-label');
			$args['custom_attributes'] = array( 'data-plugin' => 'select2', 'data-allow-clear' => 'true', 'aria-hidden' => 'true',  );
		break;
		case "password" :
		case "text" :
		case "email" :
		case "tel" :
		case "number" :
			$args['class'][] = 'form-group';
			//$args['input_class'][] = 'form-control input-lg'; // will return an array of classes, the same as bellow
			$args['input_class'] = array('form-control', 'input-lg');
			$args['label_class'] = array('control-label');
		break;
		case 'textarea' :
			$args['input_class'] = array('form-control', 'input-lg');
			$args['label_class'] = array('control-label');
		break;
		case 'checkbox' :
		break;
		case 'radio' :
		break;
		default :
			$args['class'][] = 'form-group';
			$args['input_class'] = array('form-control', 'input-lg');
			$args['label_class'] = array('control-label');
		break;
	}
	return $args;
}
add_filter('woocommerce_form_field_args','lv2_add_bootstrap_input_classes',10,3);


// woocommerce_ship_to_different_address_checked
add_filter( 'woocommerce_cart_needs_shipping_address', '__return_true' );


// Removes submenu items from WooCommerce menu for 'Shop Managers'
// wc-addons - the Add-ons submenu
// wc-status - the System Status submenu
// wc-reports - the Reports submenu
// edit.php?post_type=shop_order - the Orders submenu
// edit.php?post_type=shop_coupon - the Coupons submenu
// Shop Managers lack the capability of 'update_core', so remove based on that capability
function hola_remove_items() {
	$remove = array( 'wc-status', 'wc-addons' );
	foreach ( $remove as $submenu_slug ) {
		if ( !current_user_can( 'administrator' ) ) {
			remove_submenu_page( 'woocommerce', $submenu_slug );
		}
	}
}
add_action( 'admin_menu', 'hola_remove_items', 99, 0 );

// products
function change_navi_functions_product($sections)
{
	unset($sections['inventory']);
	unset($sections['downloadable']);
    return $sections;
}
add_filter('woocommerce_get_sections_products', 'change_navi_functions_product');

// shipping
function change_navi_function_shipping($sections)
{
    unset($sections['options']);
    unset($sections['classes']);
    return $sections;
}
add_filter('woocommerce_get_sections_shipping', 'change_navi_function_shipping');

// advanced
function change_navi_function_advanced($sections)
{
    unset($sections['keys']);
    unset($sections['webhooks']);
    unset($sections['legacy_api']);
	return $sections;
}
add_filter('woocommerce_get_sections_advanced', 'change_navi_function_advanced');

// hide_setting_checkout_for_users
if (!function_exists('hide_setting_checkout_for_shop_manager')){
    function hide_setting_checkout_for_shop_manager() {
        $user = wp_get_current_user();
        if ( isset( $user->roles[0] ) && $user->roles[0] != 'administrator' ) {
			echo '<style>
			h2.hndle,
			.yoast-alert,
			#wp-admin-bar-wp-logo,
			.tablenav a[href="'.admin_url('edit.php?post_type=product&page=product_importer').'"],
            .woocommerce_page_wc-settings form .woo-nav-tab-wrapper a[href="'.admin_url('admin.php?page=wc-settings&tab=products').'"],
			.woocommerce_page_wc-settings form .woo-nav-tab-wrapper a[href="'.admin_url('admin.php?page=wc-settings&tab=account').'"],
            .woocommerce_page_wc-settings form .woo-nav-tab-wrapper a[href="'.admin_url('admin.php?page=wc-settings&tab=email').'"],
            .woocommerce_page_wc-settings form .woo-nav-tab-wrapper a[href="'.admin_url('admin.php?page=wc-settings&tab=advanced').'"],
            .woocommerce-message{
                display: none !important;
            }
			</style>';
        }
    }
}
add_action('admin_head', 'hide_setting_checkout_for_shop_manager');

// remove payment gateways
add_filter( 'woocommerce_payment_gateways', 'growdev_remove_unused_payment_gateways', 20, 1 );
function growdev_remove_unused_payment_gateways( $load_gateways ) {
	$remove_gateways = array(
		'WC_Gateway_BACS',
		'WC_Gateway_Cheque'
	);
	foreach ( $load_gateways as $key => $value ) {
		if ( in_array( $value, $remove_gateways ) ) {
			unset( $load_gateways[ $key ] );
		}
	}
	return $load_gateways;
}

// product count
function product_count_shortcode() {
	$count_posts = wp_count_posts('product');
	return $count_posts->publish;
}
add_shortcode('product_count', 'product_count_shortcode');

// return new placeholder image URL.
add_filter( 'woocommerce_placeholder_img_src', 'growdev_custom_woocommerce_placeholder', 10 );
function growdev_custom_woocommerce_placeholder( $image_url ) {
	$image_url = get_bloginfo('template_url').'/assets/img/product-placeholder.jpg';
	return $image_url;
}
