<?php
// custom login
function custom_loginlogo() {
	echo '<style type="text/css">
	h1 a {
		background-size: 300px !important;
		background-position: center center !important;
		margin: 0 auto !important;
		width: 300px !important;
		height: 125px !important;
		background-image: url('.get_bloginfo('template_directory').'/assets/img/logo-megacable.png) !important;
	}
	</style>';
}
add_action('login_head', 'custom_loginlogo');

// remove links/menus from the admin bar
function mytheme_admin_bar_render() {
	global $wp_admin_bar;
	$wp_admin_bar->remove_menu('new-content');
	$wp_admin_bar->remove_menu('comments');
	$wp_admin_bar->remove_menu('my-blogs');
}
add_action( 'wp_before_admin_bar_render', 'mytheme_admin_bar_render' );

// remove items
function remove_menus(){
    $user = wp_get_current_user();
	$cloud = array('megacable_cloud2','megacable_cloud3','megacable_cloud4');
	// if is cloud
    if( array_intersect($cloud, $user->roles ) ) {
        remove_menu_page('upload.php');
        remove_menu_page('edit-comments.php');
		remove_menu_page('plugins.php');
        remove_menu_page('users.php');
        remove_menu_page('options-general.php');
		remove_menu_page('tools.php');
		remove_menu_page('themes.php');
		remove_menu_page('woocommerce');
		remove_menu_page('smush');
	}
}
add_action( 'admin_menu', 'remove_menus' );

// redirect if is not admin
if( !current_user_can('administrator') ){
	if (
		$pagenow == "upload.php" or
		$pagenow == "edit-comments.php"  or
		$pagenow == "options-general.php" or
		$pagenow == "options-writing.php" or
		$pagenow == "options-discussion.php" or
		$pagenow == "options-media.php" or
		$pagenow == "options-permalink.php" or
		$pagenow == "privacy.php" or
		$pagenow == "tools.php" or
		$pagenow == "options.php"
	){
        wp_redirect('admin.php?page=info_page');
	}
}

// admin menu > 01 información
add_action( 'admin_menu', 'admin_menu_informacion' );
function admin_menu_informacion() {
	$page_title = "Información";
	$menu_title = "Información";
	$capability = "manage_options";
	$menu_slug = "info_page";
	$icon = "dashicons-info";
	$position = 2;
	add_menu_page( $page_title, $menu_title, $capability, $menu_slug, '', $icon, $position);
}

// admin menu > 02 apariencía
add_action( 'admin_menu', 'admin_menu_apariencia' );
function admin_menu_apariencia() {
	$page_title = "Apariencía";
	$menu_title = "Apariencía";
	$capability = "read";
	$menu_slug = "customize.php";
	$icon = "dashicons-admin-appearance";
	$position = 3;
	add_menu_page( $page_title, $menu_title, $capability, $menu_slug, '', $icon, $position);
}

// admin menu > 03 store wizard
add_action( 'admin_menu', 'admin_menu_store' );
function admin_menu_store() {
	$page_title = "Ajustes Tienda";
	$menu_title = "Ajustes Tienda";
	$capability = "manage_woocommerce";
	$menu_slug = "admin.php?page=wc-settings";
	$icon = "dashicons-store";
	$position = 4;
	add_menu_page( $page_title, $menu_title, $capability, $menu_slug, '', $icon, $position);
}

// admin menu > 05 cupones
add_action( 'admin_menu', 'admin_menu_cupones' );
function admin_menu_cupones() {
	$page_title = "Cupones";
	$menu_title = "Cupones";
	$capability = "manage_woocommerce";
	$menu_slug = "edit.php?post_type=shop_coupon";
	$icon = "dashicons-tickets-alt";
	$position = 4;
	add_menu_page( $page_title, $menu_title, $capability, $menu_slug, '', $icon, $position);
}


// admin menu > 06 pedidos
add_action( 'admin_menu', 'admin_menu_pedidos' );
function admin_menu_pedidos() {
	$page_title = "Pedidos";
	$menu_title = "Pedidos";
	$capability = "manage_woocommerce";
	$menu_slug = "edit.php?post_type=shop_order";
	$icon = "dashicons-clipboard";
	$position = 4;
	add_menu_page( $page_title, $menu_title, $capability, $menu_slug, '', $icon, $position);
	if ( !current_user_can( 'administrator' ) or !current_user_can( 'megacable_cloud4' ) ) {
		add_submenu_page( 'edit.php?post_type=shop_order', $page_title, $menu_title, $capability, $menu_slug, '', $icon, $position);
	}
}

// admin menu > 07 reportes
add_action( 'admin_menu', 'admin_menu_reportes' );
function admin_menu_reportes() {
	$page_title = "Reportes";
	$menu_title = "Reportes";
	$capability = "manage_woocommerce";
	$menu_slug = "admin.php?page=wc-reports";
	$icon = "dashicons-chart-bar";
	$position = 4;
	add_menu_page( $page_title, $menu_title, $capability, $menu_slug, '', $icon, $position);
}

 // remove contextual help
 add_filter( 'contextual_help', 'wpse50723_remove_help', 999, 3 );
 function wpse50723_remove_help($old_help, $screen_id, $screen){
	 $screen->remove_help_tabs();
	 return $old_help;
 }

// remove wordpress version
remove_action('wp_head', 'wp_generator');
function wp_remove_version() {
	return '';
}
add_filter('the_generator', 'wp_remove_version');

// remove wordpress version from the admin footer
function oz_admin_dashboard_footer_right() {
    remove_filter( 'update_footer', 'core_update_footer' );
}
add_action( 'admin_menu', 'oz_admin_dashboard_footer_right' );

// remove wordpress footer bottom left text
add_filter( 'admin_footer_text', '__return_false' );

// hide pages
add_filter( 'parse_query', 'ts_hide_pages_in_wp_admin' );
function ts_hide_pages_in_wp_admin($query) {
	global $pagenow,$post_type;
	if ( !current_user_can( 'administrator' ) ) {
		if (is_admin() && $pagenow=='edit.php' && $post_type =='page') {
			$query->query_vars['post__not_in'] = array('83','6','7','5');
		}
	}
}

// prevent pages delete Blog
function prevent_default_theme_deletion_blog($allcaps, $caps, $args) {
    $post_id = 83;
    if ( isset( $args[0] ) && isset( $args[2] ) && $args[2] == $post_id && $args[0] == 'delete_post' ) {
        $allcaps[ $caps[0] ] = false;
    }
    return $allcaps;
}
add_filter ('user_has_cap', 'prevent_default_theme_deletion_blog', 10, 3);

// prevent pages delete Home
function prevent_default_theme_deletion_home($allcaps, $caps, $args) {
    $post_id = 84;
    if ( isset( $args[0] ) && isset( $args[2] ) && $args[2] == $post_id && $args[0] == 'delete_post' ) {
        $allcaps[ $caps[0] ] = false;
    }
    return $allcaps;
}
add_filter ('user_has_cap', 'prevent_default_theme_deletion_home', 10, 3);


// prevent pages delete Contacto
function prevent_default_theme_deletion_contacto($allcaps, $caps, $args) {
    $post_id = 121;
    if ( isset( $args[0] ) && isset( $args[2] ) && $args[2] == $post_id && $args[0] == 'delete_post' ) {
        $allcaps[ $caps[0] ] = false;
    }
    return $allcaps;
}
add_filter ('user_has_cap', 'prevent_default_theme_deletion_contacto', 10, 3);

// prevent pages delete Tienda
function prevent_default_theme_deletion_tienda($allcaps, $caps, $args) {
    $post_id = 5;
    if ( isset( $args[0] ) && isset( $args[2] ) && $args[2] == $post_id && $args[0] == 'delete_post' ) {
        $allcaps[ $caps[0] ] = false;
    }
    return $allcaps;
}
add_filter ('user_has_cap', 'prevent_default_theme_deletion_tienda', 10, 3);

// prevent pages delete Checkout
function prevent_default_theme_deletion_checkout($allcaps, $caps, $args) {
    $post_id = 7;
    if ( isset( $args[0] ) && isset( $args[2] ) && $args[2] == $post_id && $args[0] == 'delete_post' ) {
        $allcaps[ $caps[0] ] = false;
    }
    return $allcaps;
}
add_filter ('user_has_cap', 'prevent_default_theme_deletion_checkout', 10, 3);

// prevent pages delete Carrito
function prevent_default_theme_deletion_cart($allcaps, $caps, $args) {
    $post_id = 6;
    if ( isset( $args[0] ) && isset( $args[2] ) && $args[2] == $post_id && $args[0] == 'delete_post' ) {
        $allcaps[ $caps[0] ] = false;
    }
    return $allcaps;
}
add_filter ('user_has_cap', 'prevent_default_theme_deletion_cart', 10, 3);

// remove admin bar
add_action('after_setup_theme', 'remove_admin_bar');
function remove_admin_bar() {
	show_admin_bar(false);
}

// remove widgets
function remove_dashboard_widgets() {
    global $wp_meta_boxes;
	unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_right_now']);
	unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_quick_press']);
	unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']);
	update_user_meta( get_current_user_id(), 'show_welcome_panel', false );
	remove_meta_box( 'dashboard_activity', 'dashboard', 'normal');
	remove_action('welcome_panel', 'wp_welcome_panel');
}
add_action('wp_dashboard_setup', 'remove_dashboard_widgets' );


// custom dashboard
function bienvenido_add_dashboard_widgets() {
	wp_add_dashboard_widget(
		'bienvenido_dashboard_widget',
		'Bienvenido al administrador',
		'bienvenido_dashboard_widget_function'
	);
}
add_action( 'wp_dashboard_setup', 'bienvenido_add_dashboard_widgets' );

// dashboard example
function bienvenido_dashboard_widget_function() {
	echo "<h3 style='font-weight:600;'>Administrador</h3>";
	echo "<p>¡Hola!<br>Bienvenido al administrador de tu sitio web, desde aqui podras realizar las siguientes tareas:</p>";
	echo "<hr style='border-style:dashed; margin:25px auto;'>";
	echo "<h4 style='font-weight:600;'>Configura tú sitio web</h4>";
	echo "<ol>";
	echo "<li><a target='_blank' href='../wp-admin/admin.php?page=info_page'>Agrega la información de tu empresa</a></li>";
	echo "<li><a target='_blank' href='../wp-admin/post.php?post=84&action=edit'>Edita la página de inicio</a></li>";
	echo "<li><a target='_blank' href='../wp-admin/post.php?post=121&action=edit'>Edita la página de contacto</a></li>";
	echo "<li><a target='_blank' href='../wp-admin/edit.php?post_type=page'>Gestiona las páginas informativas</a></li>";
	echo "<li><a target='_blank' href='../wp-admin/customize.php'>Agrega tu logotipo, edita los colores, edita el menu superior e inferior</a></li>";
	echo "<li><a target='_blank' href='../wp-admin/edit.php'>Gestiona artículos</a></li>";
	echo "</ol>";

	if ( current_user_can( 'manage_woocommerce_products' ) ) {
		echo "<hr style='border-style:dashed; margin:25px auto;'>";
		echo "<h4 style='font-weight:600;'>Productos</h4>";
		echo "<ol>";
		echo "<li><a target='_blank' href='../wp-admin/customize.php'>Gestiona los productos del catálogo</a></li>";
		echo "</ol>";
	}

	if ( current_user_can( 'manage_woocommerce' ) ) {
		echo "<hr style='border-style:dashed; margin:25px auto;'>";
		echo "<h4 style='font-weight:600;'>Configura tú tienda enlínea</h4>";
		echo "<ol>";
		echo "<li><a target='_blank' href='../wp-admin/admin.php?page=wc-settings'>Configura la información de tu tienda</a></li>";
		echo "<li><a target='_blank' href='../wp-admin/admin.php?page=wc-settings&tab=shipping'>Configura los gastos de envío</a></li>";
		echo "<li><a target='_blank' href='../wp-admin/admin.php?page=wc-settings&tab=checkout'>Configurar los metodos de pago</a></li>";
		echo "</ol>";
		echo "<hr style='border-style:dashed; margin:25px auto;'>";
		echo "<h4 style='font-weight:600;'>Vender enlínea</h4>";
		echo "<ol>";
		echo "<li><a target='_blank' href='../wp-admin/edit.php?post_type=shop_order'>Gestiona los pedidos</a></li>";
		echo "<li><a target='_blank' href='../wp-admin/admin.php?page=wc-reports'>Ver reportes de venta</a></li>";
		echo "</ol>";
	}

	echo "<hr style='border-style:dashed; margin:25px auto;'>";
	echo "<h4 style='font-weight:600;'>Ver sitio web</h4>";
	echo "<ol>";
	echo "<li><a target='_blank' href='../'>Ver sitio web</a></li>";
	echo "</ol>";
}

// count posts
function post_count_shortcode() {
	$count_posts = wp_count_posts();
	return $count_posts->publish;
}
add_shortcode('post_count', 'post_count_shortcode');
