<?php
/**
* Template Name: Contacto
*/

?>

<?php get_header(); ?>

<?php if ( has_post_thumbnail() ) {
    $image_src = wp_get_attachment_image_src( get_post_thumbnail_id(),'full' ); ?>
    <div class="feature" style="background-image: url(<?php echo $image_src[0]; ?>);">
    </div>
<?php } ?>

<section class="page page--contacto">
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <div class="entry__content">
                    <?php
                    if ( have_posts() ) {
                        while ( have_posts() ) : the_post();
                            echo '<h1>'.get_the_title().'</h1>';
                            if ( !empty( get_the_content() ) ){
                                the_content();
                            }else if ( current_user_can('edit_published_pages') ){
                                echo '<a href="'.get_edit_post_link().'" class="btn btn-outline-primary btn-xs mb-5">Agregar contenido</a>';
                            }
                        endwhile;
                    }
                    ?>

                    <?php if( !empty( get_option('info_page')['info_email'] ) ){ ?>
                        <?php echo do_shortcode( '[contact email_to="'.get_option('info_page')['info_email'].'" scroll_to_form="true"]'  ); ?>
                    <?php } ?>

                </div>
            </div>
            <div class="col-md-5 offset-md-1">
                <div class="entry__content">
                    <p>
                        <address>
                            <?php if( !empty( get_option('info_page')['ubicacion_calle'] ) ){ ?>
                                <?php echo get_option('info_page')['ubicacion_calle']; ?>
                            <?php }else if ( current_user_can('edit_published_pages') ){ ?>
                                <a href="<?php bloginfo('url'); ?>/wp-admin/admin.php?page=info_page" class="btn btn-outline-primary btn-xs">Agregar domicilio</a>
                            <?php } ?>
                            <?php if( !empty( get_option('info_page')['ubicacion_num_ext'] ) ){ ?>
                                <?php echo get_option('info_page')['ubicacion_num_ext']; ?>
                            <?php } ?>
                            <?php if( !empty( get_option('info_page')['ubicacion_num_int'] ) ){ ?>
                                - <?php echo get_option('info_page')['ubicacion_num_int']; ?>
                            <?php } ?>
                            <?php if( !empty( get_option('info_page')['ubicacion_colonia'] ) ){ ?>
                                <br><?php echo get_option('info_page')['ubicacion_colonia']; ?>
                            <?php } ?>
                            <?php if( !empty( get_option('info_page')['ubicacion_cp'] ) ){ ?>
                                <?php echo get_option('info_page')['ubicacion_cp']; ?>,
                            <?php } ?>
                            <?php if( !empty( get_option('info_page')['ubicacion_ciudad'] ) ){ ?>
                                <?php echo get_option('info_page')['ubicacion_ciudad']; ?>
                            <?php } ?>
                            <?php if( !empty( get_option('info_page')['ubicacion_estado'] ) ){ ?>
                                <br><?php echo get_option('info_page')['ubicacion_estado']; ?>,
                            <?php } ?>
                            <?php if( !empty( get_option('info_page')['ubicacion_pais'] ) ){ ?>
                                <?php echo get_option('info_page')['ubicacion_pais']; ?>
                            <?php } ?>
                        </address>  
                    </p>
                    <p>                      
                        <?php if( !empty( get_option('info_page')['info_horario'] ) ){ ?>
                            <i class="fas fa-clock"></i> &nbsp;<?php echo get_option('info_page')['info_horario']; ?><br>
                        <?php } ?>
                        <?php if( !empty( get_option('info_page')['info_email'] ) ){ ?>
                            <a href="mailto:<?php echo get_option('info_page')['info_email']; ?>?Subject=<?php echo get_bloginfo('name'); ?> | Contacto" target="_top" class="link">
                                <i class="far fa-envelope"></i> &nbsp;<?php echo get_option('info_page')['info_email']; ?>
                            </a><br>
                        <?php } ?>
                        <?php if( !empty( get_option('info_page')['info_telefono'] ) ){ ?>
                            <a href="tel:<?php echo get_option('info_page')['info_telefono']; ?>" class="link">
                                <i class="fas fa-mobile-alt"></i> &nbsp;<?php echo get_option('info_page')['info_telefono']; ?>
                            </a>
                        <?php } ?>
                    </p>
                </div>
            </div>
        </div>
    </div>
</section>

<?php if( !empty( get_option('info_page')['ubicacion_latitud'] ) && !empty( get_option('info_page')['ubicacion_longitud'] ) ){ ?>

    <div id="map"></div>
    <script type="text/javascript">
        function initialize(){var locations=[['<h6><?php echo get_bloginfo('name'); ?></h6><a href="https://www.google.com.mx/maps/dir//<?php echo get_option('info_page')['ubicacion_latitud']; ?>, <?php echo get_option('info_page')['ubicacion_longitud']; ?>" target="_blank" class="btn btn-dark btn-sm">Como llegar &nbsp;<i class="fa fa-map-marker" aria-hidden="true"></i></a>',<?php echo get_option('info_page')['ubicacion_latitud'];?>,<?php echo get_option('info_page')['ubicacion_longitud'];?>,1]];var mapOptions={scrollwheel:!1,zoom:13,center:new google.maps.LatLng(<?php echo get_option('info_page')['ubicacion_latitud'];?>,<?php echo get_option('info_page')['ubicacion_longitud'];?>),mapTypeControl:!1,panControl:!1,zoomControl:!0,zoomControlOptions:{style:google.maps.ZoomControlStyle.SMALL,position:google.maps.ControlPosition.LEFT_TOP},styles:[{"featureType":"landscape.man_made","elementType":"geometry","stylers":[{"color":"#f7f1df"}]},{"featureType":"landscape.natural","elementType":"geometry","stylers":[{"color":"#d0e3b4"}]},{"featureType":"landscape.natural.terrain","elementType":"geometry","stylers":[{"visibility":"off"}]},{"featureType":"poi","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"poi.business","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"poi.medical","elementType":"geometry","stylers":[{"color":"#fbd3da"}]},{"featureType":"poi.park","elementType":"geometry","stylers":[{"color":"#bde6ab"}]},{"featureType":"road","elementType":"geometry.stroke","stylers":[{"visibility":"off"}]},{"featureType":"road","elementType":"labels","stylers":[{"visibility":"on"}]},{"featureType":"road.highway","elementType":"geometry.fill","stylers":[{"color":"#ffe15f"}]},{"featureType":"road.highway","elementType":"geometry.stroke","stylers":[{"color":"#efd151"}]},{"featureType":"road.arterial","elementType":"geometry.fill","stylers":[{"color":"#ffffff"}]},{"featureType":"road.local","elementType":"geometry.fill","stylers":[{"color":"black"}]},{"featureType":"transit.station.airport","elementType":"geometry.fill","stylers":[{"color":"#cfb2db"}]},{"featureType":"water","elementType":"geometry","stylers":[{"color":"#a2daf2"}]}]};var map=new google.maps.Map(document.getElementById('map'),mapOptions);var infoWindow=new google.maps.InfoWindow();var marker,i;for(i=0;i<locations.length;i++){marker=new google.maps.Marker({position:new google.maps.LatLng(locations[i][1],locations[i][2]),map:map});google.maps.event.addListener(marker,'click',(function(marker,i){return function(){map.setCenter(marker.getPosition(locations[i][0]));infoWindow.setContent(locations[i][0]);infoWindow.open(map,marker);map.setZoom(16)}})(marker,i));google.maps.event.addListener(infoWindow,'closeclick',function(){map.panTo(this.getPosition());map.setZoom(13)})}} google.maps.event.addDomListener(window,"load",initialize)
    </script>

<?php } ?>

<?php get_footer(); ?>
